Subject: Re: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: martin rudalics <[email-masked]>
Date: Mon, 13 Sep 2021 14:36:29 +0200

> Because init files are typically not bytecompiled, and because that
 > would not catch interactive uses with e.g. M-:.

Both would be most unwelcome here.  I often use `setq' in short "init"
files for debugging purposes and sometimes use `setq' via M-: during
debugging.  In neither of these cases I wanted to be disturbed by any
warnings.  I would, however, welcome being warned when a user option is
overridden by a package I load, either by a local binding or `setq'.  At
compile time.

martin